## com.google.javascript.jscomp
Class PassConfig

    java.lang.Object
      com.google.javascript.jscomp.PassConfig

Direct Known Subclasses:
  DefaultPassConfig

    public abstract class PassConfig

extends Object

Pass factories and meta-data for native Compiler passes.

Constructor Summary
`PassConfig(CompilerOptions options)`

Method Summary
`protected abstract List<PassFactory>` | `getChecks()` Gets the checking passes to run.
`protected abstract List<PassFactory>` | `getOptimizations()` Gets the optimization passes to run.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PassConfig

    public PassConfig(CompilerOptions options)

Method Detail

### getChecks

    protected abstract List<PassFactory> getChecks()

  Gets the checking passes to run. Checking passes revolve around emitting warnings and errors. They also may include pre-processor passes needed to do error analysis more effectively. Clients that only want to analyze code (like IDEs) and not emit code will only run checks and not optimizations.

### getOptimizations

    protected abstract List<PassFactory> getOptimizations()

  Gets the optimization passes to run. Optimization passes revolve around producing smaller and faster code. They should always run after checking passes.